Summary: Software satfinder
Name: gsf
Version: 0.2.1
Release: 1%{dist}
License: GPLv3
Group: X11/Utilities
URL: http://linuxonly.ru
Source:	%{name}-%{version}.tar.bz2
Vendor:	Alex <alex@linuxonly.ru>
BuildArch: i686
Requires: gtk2, glib2, alsa-lib, pulseaudio-libs, gdbm, zlib, gsf-sounds-en
BuildRequires: gtk2-devel, glib2-devel, alsa-lib-devel, pulseaudio-libs-devel, gdbm-devel, zlib-devel, desktop-file-utils, gettext


%description
Simple program for manual satellite antenna installation

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/%{name}/soundmodules
install -d %{buildroot}%{_datadir}/pixmaps
#install resources/%{name}.png %{buildroot}%{_datadir}/pixmaps
install -d %{buildroot}%{_datadir}/applications
install resources/%{name}.desktop %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}/templates
make install INSTALLPREFIX=%{buildroot}
desktop-file-install --vendor fedora --dir %{buildroot}%{_datadir}/applications --add-category X-Fedora --delete-original %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf %{buildroot}

%post
/usr/sbin/setcap cap_sys_admin,cap_net_admin=pe %{_bindir}/gsfprivileged

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE
%doc Changelog
%{_bindir}/gsf
%{_bindir}/gsfstrsvr
%{_libdir}/%{name}/soundmodules/alsasound.so
%{_libdir}/%{name}/soundmodules/pulsesound.so
%{_libdir}/%{name}/soundmodules/osssound.so
%{_datadir}/pixmaps/gsf.png
%{_datadir}/applications/fedora-gsf.desktop
%{_datadir}/%{name}/gsf.png
%{_datadir}/%{name}/calcwindow_header.png
%{_datadir}/%{name}/scanwindow_tv.png
%{_datadir}/%{name}/svclist_tvradio.png
%{_datadir}/%{name}/scanwindow_data.png
%{_datadir}/%{name}/svclist_netshare.png
%{_datadir}/%{name}/svcparams_wizard.png
%{_datadir}/%{name}/satscan_wizard.png
%{_datadir}/%{name}/scanwindow_other.png
%{_datadir}/%{name}/svclist_internet.png
%{_datadir}/%{name}/scanwindow_radio.png
%{_datadir}/%{name}/svclist_radio.png
%{_datadir}/%{name}/svclist_transponder.png
%{_datadir}/%{name}/templates/index.tpl
%{_datadir}/%{name}/templates/msg401.tpl
%{_datadir}/%{name}/templates/msg403.tpl
%{_datadir}/%{name}/templates/msg404.tpl
%{_mandir}/man1/gsf.1.gz
%{_mandir}/man1/gsfprivileged.1.gz
%{_mandir}/man1/gsfstrsvr.1.gz
#%caps(cap_sys_admin,cap_net_admin=pe)
%{_bindir}/gsfprivileged

%changelog
* Thu Apr 28 2011 Alex <alex@linuxonly.ru>
- Streaming server build fix
- LNB type parameters
- Interferention timezone handling
- Web interface
- And a lot of fixes in release 0.2.1

* Mon Dec 20 2010 Alex <alex@linuxonly.ru>
- Various improvements in streaming server
- Serialization
- Country codes handling while scanning services
- Streaming server clients control
- And a lot of changes in release 0.2.0

* Sun Nov 7 2010 Alex <alex@linuxonly.ru>
- brand new version

* Thu Oct 7 2009 Alex <alex@linuxonly.ru>
- added support for spawning user defined process
- transponder name support
- program can start minimized to tray
- program can minimize instead of exit while closing main window

* Fri Sep 18 2009 Alex <alex@linuxonly.ru>
- added russian locale
- gsfclient rp_filter fix
- device properties dialog fix

* Fri Aug 28 2009 Alex <alex@linuxonly.ru>
- added logo file to package
- gsfclient application with suid bit

* Sun Aug 16 2009 Alex <alex@linuxonly.ru>
- released spec

