/*
 *      calculations.h
 *      
 *      Copyright 2009 - 2010 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __CALCULATIONS_H__
#define __CALCULATIONS_H__

#include <gtk/gtk.h>

typedef struct _intperiod intperiod;

struct _intperiod {
	time_t start;
	time_t end;
};

gfloat azimuth(gfloat longitude, gfloat latitude, gfloat satlongitude, gfloat altitude);
gfloat elevation(gfloat longitude, gfloat latitude, gfloat satlongitude, gfloat altitude);
gfloat polangle(gfloat longitude, gfloat latitude, gfloat satlongitude);
gfloat satheight(gfloat longitude, gfloat latitude, gfloat satlongitude);
void tracker(gdouble longitude, gdouble latitude, time_t timestamp, gdouble *sunazimuth, gdouble *sunaltitude, gdouble *sunsat, gdouble *moonazimuth, gdouble *moonaltitude, gdouble *moonsat);
GSList *interferention_main(gdouble longitude, gdouble latitude, gdouble satlongitude, gshort year, gchar season, gchar band, gdouble dsize);


#endif /* __CALCULATIONS_H__ */
