/*
 *      grstatus.h
 *      
 *      Copyright 2010 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */
/* grstatus.h */

#ifndef __GRSTATUS_H
#define __GRSTATUS_H

#include <gtk/gtk.h>
#include <cairo.h>

G_BEGIN_DECLS


#define GTK_GRSTATUS(obj) GTK_CHECK_CAST(obj, gtk_grstatus_get_type (), GtkGrstatus)
#define GTK_GRSTATUS_CLASS(klass) GTK_CHECK_CLASS_CAST(klass, gtk_grstatus_get_type(), GtkGrstatusClass)
#define GTK_IS_GRSTATUS(obj) GTK_CHECK_TYPE(obj, gtk_grstatus_get_type())


typedef struct _GtkGrstatus GtkGrstatus;
typedef struct _GtkGrstatusClass GtkGrstatusClass;


struct _GtkGrstatus {
  GtkWidget widget;
  gchar *values;
  gint valsize;
  gint ptr;
  GdkColor mincolor;
  GdkColor maxcolor;
};

struct _GtkGrstatusClass {
  GtkWidgetClass parent_class;
};


GtkType gtk_grstatus_get_type(void);
void gtk_grstatus_set_value(GtkGrstatus *grstatus, gchar value);
void gtk_grstatus_set_colors(GtkGrstatus *grstatus, GdkColor *mincolor, GdkColor *maxcolor);
GtkWidget * gtk_grstatus_new(int valsize);


G_END_DECLS

#endif /* __GRSTATUS_H */

